For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/v1/selphid/custom-event/liveness

Sends a custom external liveness event to the Api Tracking platform.

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

Data to register an external liveness event in the Api Tracking platform. It also supports the image buffer.

familystring · enumRequired

Family under which to register the Api Tracking events.

Example: OnBoardingPossible values:
diagnosticstring · enumRequired

Possible results of a liveness operation.

Example: NoLivePossible values:
eventSourcestringOptional

The source of an event in the Api Tracking service.

Example: event.source.externalTool
imagestringOptional

Raw image buffer in .png, .jpg or .bmp format, base64-encoded.

Example: /9j/4AAQSkZJRgABAQEAtAC0AAD...
extraDatastringRequired

Tokenized data used to call the Api Tracking service after the operation, base64-encoded.

Example: BQABAQGkJhiCqQjKYUZyDM...
Responses
200

Result of the event tracking.

application/json

The result of an Api Tracking operation.

trackingStatusnumberOptional

Status returned by the Api Tracking service, or -1 if tracking is not required.

Example: 201
trackingMessagestringOptional

Message returned by the Api Tracking service, or empty if tracking is not required.

Example: EvaluatePassiveLivenesWithImageBuffer: Ok
post/api/v1/selphid/custom-event/liveness
POST /api/v1/selphid/custom-event/liveness HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 168

{
  "family": "OnBoarding",
  "diagnostic": "NoLive",
  "eventSource": "event.source.externalTool",
  "image": "/9j/4AAQSkZJRgABAQEAtAC0AAD...",
  "extraData": "BQABAQGkJhiCqQjKYUZyDM..."
}
{
  "trackingStatus": 201,
  "trackingMessage": "EvaluatePassiveLivenesWithImageBuffer: Ok"
}

Last updated